#!/bin/bash

. ./env

if [ "x$LOGDIR" = "x" -o ! -d "$LOGDIR" ]; then
  echo "correct LOGIDR in ./env"
  exit 1;
fi
echo checking DEBDIR
if [ "x$DEBDIR" = "x" -o ! -d "$DEBDIR" ]; then
  echo "correct DEBIDR in ./env"
  exit 1;
fi
RT=0
ls $DEBDIR/language-pack-ja-base_*_all.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/language-pack-ja_*_all.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/rxvt-unicode_*_arm.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/libanthy0_*_arm.deb  > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/anthy_*_arm.deb  > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/im-switch_*_all.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/libscim8c2a_*_arm.deb  > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/scim-gtk2-immodule_*_arm.deb  > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/scim-modules-socket_*_arm.deb  > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/scim_*_arm.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/scim-anthy_*_arm.deb  > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/language-support-input-ja_*_all.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
if [ ! $RT = 0 ]; then
   echo "check deb files!"
   exit 1;
fi

dpkg -l > $LOGDIR/dpkg-l.log

grep "ii  language-pack-ja " $LOGDIR/dpkg-l.log > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
  dpkg -i $DEBDIR/language-pack-ja-base_*_all.deb \
	$DEBDIR/language-pack-ja_*_all.deb
  dpkg -i $DEBDIR/rxvt-unicode_*_arm.deb
  sh dflog.sh 6
fi


grep "ii  anthy " $LOGDIR/dpkg-l.log > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
  dpkg -i $DEBDIR/libanthy0_*_arm.deb \
	$DEBDIR/anthy_*_arm.deb \
	$DEBDIR/im-switch_*_all.deb
  sh dflog.sh 7
fi

grep "ii  scim " $LOGDIR/dpkg-l.log > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
  dpkg -i $DEBDIR/libscim8c2a_*_arm.deb \
	$DEBDIR/scim-gtk2-immodule_*_arm.deb \
	$DEBDIR/scim-modules-socket_*_arm.deb \
	$DEBDIR/scim_*_arm.deb
  dpkg -i $DEBDIR/scim-anthy_*_arm.deb \
	$DEBDIR/language-support-input-ja_*_all.deb
  sh dflog.sh 8
fi

echo "done"
