#!/bin/bash

. ./env

if [ "x$LOGDIR" = "x" -o ! -d "$LOGDIR" ]; then
  echo "correct LOGIDR in ./env"
  exit 1;
fi
echo checking DEBDIR
if [ "x$DEBDIR" = "x" -o ! -d "$DEBDIR" ]; then
  echo "correct DEBIDR in ./env"
  exit 1;
fi
RT=0
ls $DEBDIR/libedit2_*_arm.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/openssh-client_*_arm.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
ls $DEBDIR/openssh-server_*_arm.deb > /dev/null
RETVAL=$?
RT=`expr $RT + $RETVAL`
if [ ! $RT = 0 ]; then
   echo "check deb files!"
   exit 1;
fi

dpkg -l > $LOGDIR/dpkg-l.log

grep "ii  openssh-server " $LOGDIR/dpkg-l.log > /dev/null
RETVAL=$?
if [ ! "$RETVAL" = 0 ]; then
  dpkg -i $DEBDIR/libedit2_*_arm.deb \
      $DEBDIR/openssh-client_*_arm.deb $DEBDIR/openssh-server_*_arm.deb
  sh dflog.sh 9
fi

echo "done"
